# Backup to Server

## Purpose

Pre-configured script that will backup the key data from a personal Windows 10 computer to my server.

## Use

1. Make sure you have RSA keys configured in $HOME/.ssh
2. Download the project
3. Execute

### Downloading the project

```Powershell
$default_modules_dir = "$HOME\Documents\WindowsPowershell\Modules"

# If that folder doesn't exist, create it
if (!(Test-Path $default_modules_dir)) { mkdir $default_modules_dir -Force }

# Clone the server files
cd "$HOME\Documents\WindowsPowershell\Modules"
git clone ssh://git@owl.acosi.com:9124/family/backup_library.git
```

### Execute

```Powershell
import-module backup_library
backup_to_server [-skipappdir] [-skipspudir] [-noupload] [-skipoutlook]
```

Note that -skipspudir is enabled by default until it works.
